Bug 1012682 - Spice Console keyboard shortcuts conflicts with Linux guest shortcuts
Spice Console keyboard shortcuts conflicts with Linux guest shortcuts
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: nobody nobody
meital avital
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 17:17 EDT by mrao
Modified: 2014-07-13 19:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-11 05:02:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen-shot: SPICE menu (Send Key) (1.06 MB, image/png)
2014-01-31 12:03 EST, Einav Cohen
no flags Details
screen-shot: Remote Desktop Viewer (400.81 KB, image/png)
2014-01-31 12:10 EST, Einav Cohen
no flags Details

  None (edit)
Description mrao 2013-09-26 17:17:42 EDT
Description of problem:
On the Spice console, the “ send key” drop down in the toolbar, remove or move “Ctrl+Alt+Del” for Linux guests. This could be disastrous in a production environment if default setting are left in the guest. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Michal Skrivanek 2013-09-27 05:02:05 EDT
don't understand what is the conflict? the CAD shortcut in the client to trigger CAD in the guest? I.e. both of them being the same?
Comment 4 Einav Cohen 2014-01-31 12:03:31 EST
Created attachment 857918 [details]
screen-shot: SPICE menu (Send Key)
Comment 5 Einav Cohen 2014-01-31 12:10:20 EST
Created attachment 857921 [details]
screen-shot: Remote Desktop Viewer
Comment 6 Einav Cohen 2014-01-31 12:21:33 EST
@Malini, just so I will verify that I understand the request: the complaint here is on the “Ctrl+Alt+Del” item in SPICE's "Send Key" menu, as seen in attachment 857918 [details], and the request here is to remove this item completely from the menu, or move it to a lower location within that menu (particularly if the VM to which we are currently connected to with SPICE is a Linux VM)?

if so:

- Ctrl+Alt+Del (CAD) is a legitimate key-combination that a user would want to send to the guest, in case it is stuck, for example. I don't think that it can be removed completely. 

- we can consider moving it to a lower location in the "Send Key" menu, however it won't make it less disastrous IMO... moreover, I believe that it is a pretty important key-combination for machines, Linux machines included; if you will take a look at Fedora's Remote Desktop Viewer (another console application), for example, you will see that it has a button dedicated only for sending CAD (see attachment 857921 [details]). 

So I believe that the 'CAD' item in SPICE's "Send Key" menu is the first one there for a good reason. 

Therefore, unless I am missing something very basic with regards to Linux machines' default settings in particular, this bug should be closed IMO. 

[@Michal - if you have any additional thoughts - please share]
Comment 7 mrao 2014-01-31 15:19:22 EST
(In reply to Einav Cohen from comment #6)
> @Malini, just so I will verify that I understand the request: the complaint
> here is on the “Ctrl+Alt+Del” item in SPICE's "Send Key" menu, as seen in
> attachment 857918 [details], and the request here is to remove this item
> completely from the menu, or move it to a lower location within that menu
> (particularly if the VM to which we are currently connected to with SPICE is
> a Linux VM)?
> 
> if so:
> 
> - Ctrl+Alt+Del (CAD) is a legitimate key-combination that a user would want
> to send to the guest, in case it is stuck, for example. I don't think that
> it can be removed completely. 
> 
> - we can consider moving it to a lower location in the "Send Key" menu,
> however it won't make it less disastrous IMO... moreover, I believe that it
> is a pretty important key-combination for machines, Linux machines included;
> if you will take a look at Fedora's Remote Desktop Viewer (another console
> application), for example, you will see that it has a button dedicated only
> for sending CAD (see attachment 857921 [details]). 
> 
> So I believe that the 'CAD' item in SPICE's "Send Key" menu is the first one
> there for a good reason. 
> 
> Therefore, unless I am missing something very basic with regards to Linux
> machines' default settings in particular, this bug should be closed IMO. 
> 
> [@Michal - if you have any additional thoughts - please share]

Unfortunately, I have no way of clarifying or verifying this comment that was received written on a card in a hands on lab session at summit last year. The way I understood it was that this Ctrl+Alt+Del could shut down the machine that the VM was running on instead of just shutting down the VM itself but I may be totally off track here. If you all feel this bug should be closed, let me know and I will close it.
Comment 8 Einav Cohen 2014-01-31 18:09:41 EST
(In reply to mrao from comment #7)
> 
> Unfortunately, I have no way of clarifying or verifying this comment that
> was received written on a card in a hands on lab session at summit last
> year. The way I understood it was that this Ctrl+Alt+Del could shut down the
> machine that the VM was running on instead of just shutting down the VM
> itself but I may be totally off track here. If you all feel this bug should
> be closed, let me know and I will close it.

the description talks about the CAD item in the '“send key” drop down in the toolbar' of the 'Spice console' which, to my understanding, cannot have any effect on the client machine - only on the guest machine. 

so I understood it as I detailed in the first paragraph of comment #6 and IMO - this BZ should be closed (arguments detailed in comment #6). 

@Michal - this is in your domain, so it is up to you.
Comment 9 Michal Skrivanek 2014-02-11 05:02:52 EST
I agree with Einav, the menu item has its merit. The keyboard shortcut is taken care of by bug 1042782 and I do not see a reason to keep this bug open anymore

Note You need to log in before you can comment on or make changes to this bug.